import { Injectable } from '@angular/core';

import { DespachoStore } from 'src/app/store/despacho-store.service';
import { EventoAprovacaoStore } from 'src/app/store/eventoaprovacao-store.service';
import { ExpedienteGdStore } from 'src/app/store/expedientegd-store.service';
import { PendentesStore } from 'src/app/store/pendestes-store.service';
import { PedidosStore } from 'src/app/store/pedidos-store.service';
import { DespachosprStore } from 'src/app/store/despachospr-store.service';
import { DeplomasStore } from '../store/deplomas.service';
import { CalendarStore } from 'src/app/store/calendar.service';
import { ToDayEventStorage } from '../store/to-day-event-storage.service';
import { TotalDocumentStore } from 'src/app/store/total-document.service';

@Injectable({
  providedIn: 'root'
})
export class ClearStoreService {

  constructor() { }

  clear() {

    DespachoStore.reset([])
    EventoAprovacaoStore.resetmd([])
    EventoAprovacaoStore.resetpr([])
    ExpedienteGdStore.reset([])
    PendentesStore.reset([])
    PedidosStore.resetdeferimento([])
    PedidosStore.resetparecer([])
    DespachosprStore.reset([])
    DeplomasStore.resetDiplomasAssinadoList([])
    DeplomasStore.resetDiplomasList([])
    DeplomasStore.resetDiplomasReview([])
    CalendarStore.delete()
    CalendarStore.ResetList([])
    ToDayEventStorage.reset([])
    TotalDocumentStore.resetCount(0)

  }
}
